@charset "utf-8";

/* ==========================
   Main Menu Styles 導覽列
============================ */

.navbar-toggler-icon {
    margin-top: 27%;
}

.main-menu {
    background: #000;
    box-shadow: 0px 2px 15px rgba(0, 0, 0, 0.1);
    transition: all 0.5s;

}

.main-menu .navbar {
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 0;
}

.navbar-brand {
    margin: 0;
}

.navbar-nav {
    margin: 0;
}

.navbar .navbar-collapse {
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.navbar .navbar-collapse ul li {
    position: relative;
}


.navbar .navbar-collapse ul li a {
    color: #fff;
    font-weight: 300;
    text-transform: uppercase;
}

.navbar .navbar-collapse ul li a:hover {
    color: #dabfa4;
}

.navbar .navbar-collapse ul li a.dropdown-toggle:after {
    content: none;
}

.navbar .navbar-collapse ul li.active a {
    color: #fff;
}

.navbar .navbar-collapse ul li.active .dropdown-menu a {
    color: #fff;
}

.navbar .navbar-collapse ul li.dropdown .dropdown-menu {
    top: 60px;
    display: block;
    visibility: hidden;
    opacity: 0;
    -webkit-transition: 0.3s ease;
    -o-transition: 0.3s ease;
    transition: 0.3s ease;
    padding: 15px 0;
    min-width: 12rem;
    -webkit-border-radius: 0;
    border-radius: 0;
    border: 0 none;
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.navbar .navbar-collapse ul li.dropdown .dropdown-menu:before {
    position: absolute;
    content: "";
    left: 8px;
    top: -9px;
    border-bottom: 9px solid #ededed;
    border-right: 8px solid transparent;
    border-left: 8px solid transparent;
}

.navbar .navbar-collapse ul li.dropdown .dropdown-menu a {
    padding: 5px 20px;
    font-weight: 400;
    text-transform: capitalize;
}

.navbar .navbar-collapse ul li.dropdown .dropdown-menu a:hover {
    background: none;
}

.navbar .navbar-collapse ul li.dropdown:hover .dropdown-menu {
    visibility: visible;
    opacity: 1;
    top: 40px;
}

.navbar .navbar-collapse ul li.dropdown:hover a.nav-link {
    color: #fff !important;
}

.navbar .navbar-collapse.collapse.show {
    z-index: 100;
    background: #000;
}

.navbar-toggler:focus,
.navbar-toggler:hover {
    outline: none;
}

.navbar .nav-com {
    float: left;
    display: flex;
    flex-direction: row;
}


.icon-menu:before {
    color: #fff !important;
}

@media (max-width: 991px) {
    .navbar .navbar-collapse ul li.dropdown .dropdown-menu {
        top: 100%;
        display: none;
        visibility: visible;
        opacity: 1;
    }

    .navbar .navbar-collapse ul li.dropdown .dropdown-menu.show {
        display: block;
    }

    .navbar .navbar-collapse ul li.dropdown .dropdown-menu:before {
        content: none;
    }

    .navbar .navbar-collapse ul li.dropdown:hover .dropdown-menu {
        visibility: visible;
        opacity: 1;
    }

    .navbar .nav-com a {
        margin-right: 10px;
    }
}